class Base
{
public:
  Base();
};

class Test : public Base
{
public:
  void publicUngroupedFunc();
  int  publicUngroupedData;
  static void publicStaticUngroupedFunc();
  static int  publicStaticUngroupedData;
  /**
   * @name Homogenous Methods
   *
   * Homogenous methods
   */
  //@{
  void homogenousFunc1();
  void homogenousFunc2();
  //@}

  /**
   * @name Homogenous Attributes
   *
   * Homogenous attributes
   */
  //@{
  int homogenousAttr1;
  int homogenousAttr2;
  //@}

  /**
   * @name Public Group
   *
   * Public group members.
   */
  //@{
  void publicGroupedFunc();
  int  publicGroupedData;
  static void publicStaticGroupedFunc();
  static int  publicStaticGroupedData;
  //@}

protected:
  void protectedUngroupedFunc();
  int  protectedUngroupedData;
  /**
   * @name Protected Group
   *
   * Protected group members.
   */
  //@{
  void protectedGroupedFunc();
  int  protectedGroupedData;
  //@}

private:
  void privateUngroupedFunc();
  int  privateUngroupedData;
  /**
   * @name Private Group
   *
   * Private group members.
   */
  //@{
  void privateGroupedFunc();
  int  privateGroupedData;
  //@}

  /**
   * @name Mixed Group
   *
   * Mixed group members.
   */
  //@{
public:
  void publicMixedFunc();
  int  publicMixedData;
protected:
  void protectedMixedFunc();
  int  protectedMixedData;
private:
  void privateMixedFunc();
  int  privateMixedData;
  //@}
};
